/* style.css */

@import url('https://fonts.googleapis.com/css2?family=Jost:wght@300;500&family=Poppins:wght@400;700&family=Raleway:wght@300&family=Roboto:wght@300&family=Varela+Round&display=swap');

/* Reset layout */
body {
    margin: 0;
    padding: 0;
    padding-left: 100px;
    padding-right: 100px;
    background-color: #1f1f24;
    font-family: 'poppins';
}

h1, h2, h3, p, ul, li {
    margin: 0;
    padding: 0;
    color: white;
}
  
/* Header */
header {
    background-color: #152e45;
    padding: 5px;
    color: #fff;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header h1 {
    font-size: 30px;
    padding: 5px;
    padding-left: 15px;
}

header a {
    text-decoration: none;
}

.social-media {
    display: flex;
    align-items: center;
    padding-right: 15px;
}

.social-media a {
    margin-left: 25px;
}

.background {
    background-color: #24242b;
}

/* Content */

/* Introduction */
section {
    padding: 40px;
}

section h2 {
    font-size: 25px;
    padding-bottom: 25px;
}

.about-link a {
    display: inline-block;
    background-color: #1b74a8;
    color: #fff;
    padding: 5px 10px;
    text-decoration: none;
    font-size: 14px;
    border-radius: 3px;
    margin-top: 10px;
    transition: background-color 0.5s;
}

.about-link a:hover {
    background-color: #fff;
    color: #1b74a8;
    transition: background-color 0.5s;
}

/* Professional Project And Personal Project */
#games h2 {
    text-align: center;
    font-size: 35px;
    padding-bottom: 5px;
    color: #fff;
}

.horizontal-line {
    border: 2px solid #fff;
    margin-bottom: 35px;
}

.game-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 50px;
}

.game-card img {
    width: 100%;
    max-width: 750px;
    outline: 3px solid white;
    height: auto;
    transition: outline-color 0.5s;
}

.game-card img:hover {
    outline-color: #2d94d0;
    transition: outline-color 0.5s;
}

.game-details {
    text-align: center;
    margin-top: 10px;
}

.game-details h3 {
    font-size: 22px;
    margin-bottom: 5px;
    color: #2d94d0;
}

.game-details p {
    max-width: 850px;
    font-size: 14px;
}

.game-details a {
    display: inline-block;
    background-color: #1b74a8;
    color: #fff;
    padding: 5px 10px;
    text-decoration: none;
    font-size: 14px;
    border-radius: 3px;
    margin-top: 10px;
    transition: background-color 0.5s;
}

.game-details a:hover {
    background-color: #fff;
    color: #1b74a8;
    transition: background-color 0.5s;
}

/* Other Project */
.other-game-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
  
.other-game-card {
    flex-basis: 30%;
    text-align: center;
    margin-bottom: 20px;
}
  
.other-game-card img {
    width: 100%;
    max-width: 300px;
    outline: 3px solid white;
    height: auto;
    transition: outline-color 0.5s;
}

.other-game-card img:hover {
    outline-color: #2d94d0;
    transition: outline-color 0.5s;
}
  
.other-game-card h3 {
    margin-top: 10px;
    color: #2d94d0;
}
  
.other-game-card p {
    margin-top: 5px;
    font-size: 14px;
}

.other-game-card .game-details a {
    display: inline-block;
    background-color: #1b74a8;
    color: #fff;
    padding: 5px 10px;
    text-decoration: none;
    font-size: 14px;
    border-radius: 3px;
    margin-top: 10px;
    transition: background-color 0.5s;
}

.other-game-card .game-details a:hover {
    background-color: #fff;
    color: #1b74a8;
    transition: background-color 0.5s;
}
  
/* Contact */
.social-media-contact {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding-top: 15px;
}

.social-media-contact a {
    padding-right: 15px;
}

/* Footer */
footer {
    background-color: #333;
    padding: 10px;
    color: #fff;
    text-align: center;
    font-size: 12px;
}

/* Responsif For Mobile */
@media (max-width: 768px) {
    body {
        padding: 0;
    }

    header h1 {
        font-size: 20px;
    }

    section {
        padding: 20px;
    }

    .game-card img {
        max-width: 100%;
    }

    .other-game-card {
        flex-basis: 48%;
    }

    video {
        width: 100%;
        object-fit: cover;
        height: 150px;
    }
}

@media (max-width: 576px) {
    .other-game-card {
        flex-basis: 100%;
    }
}
  